Page MenuHomePhabricator

urlutil: provide some information about "bad url" when processing `pushurl`
ClosedPublic

Authored by marmoute on Apr 15 2021, 8:56 PM.

Details

Summary

It appears pushurl only support <proto>:// entries. This is not obvious and
can lead to obscure error. We make the error less obscure as a start..

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 15 2021, 8:56 PM
baymax updated this revision to Diff 27024.Apr 17 2021, 7:45 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Apr 29 2021, 9:46 AM
This revision is now accepted and ready to land.Apr 29 2021, 9:46 AM
baymax updated this revision to Diff 27215.Apr 29 2021, 1:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27243.Apr 30 2021, 8:26 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27427.May 3 2021, 9:53 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.May 15 2021, 3:20 PM
baymax updated this revision to Diff 27962.May 17 2021, 2:46 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27965.May 17 2021, 4:21 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)